import { select, arc } from 'd3';
//var arc = d3.arc();
const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');
const circle = svg.append('circle')
  .attr('r', (height-50)/ 2)
  .attr('cx', width / 2)
  .attr('cy', height / 2)
  .attr('fill', 'yellow')
  .attr('stroke', 'black');

//svg.style('background-color','#c48e7a');
const eyespacing = 80;
const eyeoffset = -70;
const eyebrowWidth=80;
const eyebrowHeight=15;
const eyebrowOffset= 100;
const lefteye = svg.append('ellipse')
  .attr('cx', width / 2 - eyespacing)
  .attr('cy', height / 2 + eyeoffset)
  .attr('rx', 20)
  .attr('ry', 40)
  .attr('fill', 'white')
  .attr('stroke', 'black');
const righteye = svg.append('ellipse')
  .attr('cx', width / 2 + eyespacing)
  .attr('cy', height / 2 + eyeoffset)
  .attr('rx', 20)
  .attr('ry', 40)
  .attr('fill', 'white')
  .attr('stroke', 'black');
const Leyeball = svg.append('circle')
  .attr('r', 15)
  .attr('cx', 579)
  .attr('cy', 190)
  .attr('fill', 'black')
  .attr('stroke', 'black');
const Reyeball = svg.append('circle')
  .attr('r', 15)
  .attr('cx', 420)
  .attr('cy', 190)
  .attr('fill', 'black')
  .attr('stroke', 'black');

const lefteyebrow= svg.append('rect')
	.attr('x' , 370)
	.attr('y' , 100)
	.attr('width', eyebrowWidth)
	.attr('height' , eyebrowHeight);
const righteyebrow= svg.append('rect')
	.attr('x' , 540)
	.attr('y' , 100)
	.attr('width', eyebrowWidth)
	.attr('height' , eyebrowHeight)
	.transition().duration(2000)
		.attr('y', eyebrowOffset-30)
.transition().duration(1000)
		.attr('y', eyebrowOffset);
const g= svg.append('g')
	.attr('transform','translate(500, 250)');
const mouth=g.append('path')
	.attr('d', arc()({
  innerRadius:150,
  outerRadius:140,
  startAngle: Math.PI/2,
  endAngle: Math.PI * 3/2
}));
const line = svg.append('line')
                  .attr("x1", 500)
                          .attr("y1", 200)
                         .attr("x2", 480)
                          .attr("y2", 270)
                         .attr("stroke-width", 5)
                         .attr("stroke", "black");
const line1 = svg.append('line')
                  .attr("x1", 480)
                          .attr("y1", 270)
                         .attr("x2", 520)
                          .attr("y2", 270)
                         .attr("stroke-width", 5)
                         .attr("stroke", "black");
